Documentation menu
Lists
list
Named lists of saved places: sites, towns and counties, ZIP codes and areas.
The list object
- objectstring
- The object's type. Always
list. - idstring
- Unique identifier for the object.
- namestring
- The list's name.
- item_countinteger
- Number of items on the list.
- created_attimestamp
- Time at which the object was created.
- updated_attimestamp
- Time at which the object was last updated.
- hrefstring
- The object's path in the API.
Endpoints
- GET
/v1/listList lists - POST
/v1/listCreate a list - GET
/v1/list/{list_id}Retrieve a list - PATCH
/v1/list/{list_id}Update a list - DELETE
/v1/list/{list_id}Delete a list - GET
/v1/list/{list_id}/itemList a list's items - POST
/v1/list/{list_id}/itemAdd items to a list - GET
/v1/list/{list_id}/item/{item_id}Retrieve a list item - PATCH
/v1/list/{list_id}/item/{item_id}Update a list item - DELETE
/v1/list/{list_id}/item/{item_id}Remove an item from a list